Package org.eclipse.wst.xsl.core.internal.xinclude

## org.eclipse.wst.xsl.core.internal.xinclude
Class XIncluder

    public class XIncluder
    extends java.lang.Object

XIncluder will read an XML file, that has elements from the XInclude namespace and follows the W3C XInclude specification (http://www.w3.org/TR/xinclude/). It will output a merged file.

## Constructor Summary

`XIncluder()`

## Method Summary

`public void` | `extractXMLFile(java.lang.String in , java.lang.String out)` extracXMLFile merges the files referenced by xinclude include elements.

## Constructor Detail

## XIncluder

`public XIncluder()`

## Methods Detail

## extractXMLFile

`public void extractXMLFile(java.lang.String in , java.lang.String out)`

extracXMLFile merges the files referenced by xinclude include elements.

### Parameters

`in` - The full path to the input XML file

`out` - The full path to the merged XML file

### Throws:

`java.lang.Exception`